a5.h File Reference
GSM A5 ciphering algorithm

Osmocom GSM A5 ciphering algorithm header. More...

`#include <stdint.h>`
`#include <osmocom/core/bits.h>`

Go to the source code of this file.

## Functions

static uint32_t | osmo_a5_fn_count (uint32_t fn)
| Converts a frame number into the 22 bit number used in A5/x. More...
int | osmo_a5 (int n, const uint8_t *key, uint32_t fn, ubit_t *dl, ubit_t *ul)
| Main method to generate a A5/x cipher stream. More...
void | osmo_a5_1 (const uint8_t *key, uint32_t fn, ubit_t *dl, ubit_t *ul)
| Generate a GSM A5/1 cipher stream. More...
void | osmo_a5_2 (const uint8_t *key, uint32_t fn, ubit_t *dl, ubit_t *ul)
| Generate a GSM A5/1 cipher stream. More...

## Detailed Description

Osmocom GSM A5 ciphering algorithm header.